/* gvSIG Mini. A free mobile phone viewer of free maps.
 *
 * Copyright (C) 2010 Prodevelop.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,USA.
 *
 * For more information, contact:
 *
 *   Prodevelop, S.L.
 *   Pza. Don Juan de Villarrasa, 14 - 5
 *   46001 Valencia
 *   Spain
 *
 *   +34 963 510 612
 *   +34 963 510 968
 *   prode@prodevelop.es
 *   http://www.prodevelop.es
 *
 *   gvSIG Mini has been partially funded by IMPIVA (Instituto de la Peque�a y
 *   Mediana Empresa de la Comunidad Valenciana) &
 *   European Union FEDER funds.
 *   
 *   2010.
 *   author Alberto Romeu aromeu@prodevelop.es
 */

package es.prodevelop.gvsig.mini.common;


/**
 * An interface wrapper for any canvas implementation, some method have been
 * added.
 * 
 * @author aromeu
 * 
 */
public interface ICanvas {

	/**
	 * Returns the Canvas implementation
	 * 
	 * @return
	 */
	public Object getCanvas();

	public void setBitmap(final IBitmap bitmap);

	public int getWidth();

	public int getHeight();

	public void translate(final float dx, final float dy);

	public void scale(final float sx, final float sy);

	public void rotate(final float degrees);

	public void skew(final float sx, final float sy);

	public void drawRGB(final int r, final int g, final int b);

	public void drawARGB(final int a, final int r, final int g, final int b);

	public void drawColor(final int color);

	public void drawBitmap(final IBitmap bitmap, final float left,
			final float top, Object paint);
	
	public void setColor(int color);
	
	public void drawRect(int x, int y, int width, int height);
}
