/* gvSIG Mini. A free mobile phone viewer of free maps.
 *
 * Copyright (C) 2009 Prodevelop.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,USA.
 *
 * For more information, contact:
 *
 *   Prodevelop, S.L.
 *   Pza. Don Juan de Villarrasa, 14 - 5
 *   46001 Valencia
 *   Spain
 *
 *   +34 963 510 612
 *   +34 963 510 968
 *   prode@prodevelop.es
 *   http://www.prodevelop.es
 *
 *   gvSIG Mini has been partially funded by IMPIVA (Instituto de la Peque�a y
 *   Mediana Empresa de la Comunidad Valenciana) &
 *   European Union FEDER funds.
 *   
 *   2009.
 *   author Rub�n Blanco rblanco@prodevelop.es
 *
 *
 * Original version of the code made by Nicolas Gramlich.
 * No header license code found on the original source file.
 * 
 * Original source code downloaded from http://code.google.com/p/osmdroid/
 * package org.andnav.osm.views.util.constants;
 * package org.andnav.osm.util.constants;
 * 
 * License stated in that website is 
 * http://www.gnu.org/licenses/lgpl.html
 * As no specific LGPL version was specified, LGPL license version is LGPL v2.1
 * is assumed.
 *  
 * 
 */

package es.prodevelop.gvsig.mini.map;

public interface GeoUtils {

	public static final int NOT_SET = Integer.MIN_VALUE;
	public static final int RADIUS_EARTH_METERS = 6378140;
	public static final float DEG2RAD = (float) (Math.PI / 180.0);
	public static final float RAD2DEG = (float) (180.0 / Math.PI);
	public static final float PI = (float) Math.PI;
	public static final float PI_2 = PI / 2.0f;
	public static final float PI_4 = PI / 4.0f;
	public static final boolean DEBUGMODE = false;
	public static final String DEBUGTAG = "";
	public static final int CACHE_MAPTILECOUNT_DEFAULT = 16;
	public static final int MAPTILE_LATITUDE_INDEX = 0;
	public static final int MAPTILE_LONGITUDE_INDEX = 1;

	public static final int TILEPROVIDER_CANCELED = -1;
	public static final int TILEPROVIDER_TOTAL_TILES = -2;
	public static final int TILEPROVIDER_SKIPPED = -3;
	
	public static final int MAPTILECACHE_SUCCESS_ID = 999;

	public static final int MAPTILEFSLOADER_SUCCESS_ID = 1000;
	public static final int MAPTILEFSLOADER_FAIL_ID = MAPTILEFSLOADER_SUCCESS_ID + 1;
	public static final int MAPTILEFSLOADER_OOM_ID = MAPTILEFSLOADER_FAIL_ID + 1;
	public static final int MAPTILEFSLOADER_DELETED_ID = MAPTILEFSLOADER_OOM_ID + 1;
	public static final int MAPTILEFSLOADER_NOTFOUND_ID = MAPTILEFSLOADER_DELETED_ID + 1;

	public static final int MAPTILEDOWNLOADER_SUCCESS_ID = 0;
	public static final int MAPTILEDOWNLOADER_FAIL_ID = MAPTILEDOWNLOADER_SUCCESS_ID + 1;
	public static final int MAPTILEDOWNLOADER_OOM_ID = MAPTILEDOWNLOADER_FAIL_ID + 1;
	public static final int MAPTILEDOWNLOADER_SUCCESS_SIZE = MAPTILEDOWNLOADER_OOM_ID + 1;

}
